#' Arvados API Objects 
#' The API to interact with Arvados.
#' 
#' Auto-generated code by googleAuthR::gar_create_api_objects
#'  at 2017-07-19 18:56:25
#' filename: arvados_objects.R
#' api_json: apis
#' 
#' Objects for use by the functions created by googleAuthR::gar_create_api_skeleton

#' UserList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' User list
#' 
#' @param etag List version
#' @param items The list of Users
#' @param next_link A link to the next page of Users
#' @param next_page_token The page token for the next page of Users
#' @param selfLink A link back to this list
#' 
#' @return UserList object
#' 
#' @family UserList functions
#' @export
UserList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#userList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_UserList")
}

#' User Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' User
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param email No description
#' @param first_name No description
#' @param last_name No description
#' @param identity_url No description
#' @param is_admin No description
#' @param prefs No description
#' @param updated_at No description
#' @param default_owner_uuid No description
#' @param is_active No description
#' @param username No description
#' 
#' @return User object
#' 
#' @family User functions
#' @export
User <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    email = NULL, first_name = NULL, last_name = NULL, identity_url = NULL, is_admin = NULL, 
    prefs = NULL, updated_at = NULL, default_owner_uuid = NULL, is_active = NULL, 
    username = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        email = email, first_name = first_name, last_name = last_name, identity_url = identity_url, 
        is_admin = is_admin, prefs = prefs, updated_at = updated_at, default_owner_uuid = default_owner_uuid, 
        is_active = is_active, username = username), class = "gar_User")
}

#' WorkflowList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Workflow list
#' 
#' @param etag List version
#' @param items The list of Workflows
#' @param next_link A link to the next page of Workflows
#' @param next_page_token The page token for the next page of Workflows
#' @param selfLink A link back to this list
#' 
#' @return WorkflowList object
#' 
#' @family WorkflowList functions
#' @export
WorkflowList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#workflowList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_WorkflowList")
}

#' Workflow Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Workflow
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param name No description
#' @param description No description
#' @param definition No description
#' @param updated_at No description
#' 
#' @return Workflow object
#' 
#' @family Workflow functions
#' @export
Workflow <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_at = NULL, modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, 
    name = NULL, description = NULL, definition = NULL, updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_at = modified_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, name = name, description = description, 
        definition = definition, updated_at = updated_at), class = "gar_Workflow")
}

#' LinkList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Link list
#' 
#' @param etag List version
#' @param items The list of Links
#' @param next_link A link to the next page of Links
#' @param next_page_token The page token for the next page of Links
#' @param selfLink A link back to this list
#' 
#' @return LinkList object
#' 
#' @family LinkList functions
#' @export
LinkList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#linkList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_LinkList")
}

#' Link Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Link
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param tail_uuid No description
#' @param link_class No description
#' @param name No description
#' @param head_uuid No description
#' @param properties No description
#' @param updated_at No description
#' 
#' @return Link object
#' 
#' @family Link functions
#' @export
Link <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    tail_uuid = NULL, link_class = NULL, name = NULL, head_uuid = NULL, properties = NULL, 
    updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        tail_uuid = tail_uuid, link_class = link_class, name = name, head_uuid = head_uuid, 
        properties = properties, updated_at = updated_at), class = "gar_Link")
}

#' GroupList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Group list
#' 
#' @param etag List version
#' @param items The list of Groups
#' @param next_link A link to the next page of Groups
#' @param next_page_token The page token for the next page of Groups
#' @param selfLink A link back to this list
#' 
#' @return GroupList object
#' 
#' @family GroupList functions
#' @export
GroupList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#groupList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_GroupList")
}

#' Group Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Group
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param description No description
#' @param updated_at No description
#' @param group_class No description
#' 
#' @return Group object
#' 
#' @family Group functions
#' @export
Group <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    name = NULL, description = NULL, updated_at = NULL, group_class = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        name = name, description = description, updated_at = updated_at, group_class = group_class), 
        class = "gar_Group")
}

#' ApiClientAuthorizationList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ApiClientAuthorization list
#' 
#' @param etag List version
#' @param items The list of ApiClientAuthorizations
#' @param next_link A link to the next page of ApiClientAuthorizations
#' @param next_page_token The page token for the next page of ApiClientAuthorizations
#' @param selfLink A link back to this list
#' 
#' @return ApiClientAuthorizationList object
#' 
#' @family ApiClientAuthorizationList functions
#' @export
ApiClientAuthorizationList <- function(etag = NULL, items = NULL, next_link = NULL, 
    next_page_token = NULL, selfLink = NULL) {
    structure(list(kind = `arvados#apiClientAuthorizationList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_ApiClientAuthorizationList")
}

#' ApiClientAuthorization Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ApiClientAuthorization
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param api_token No description
#' @param api_client_id No description
#' @param user_id No description
#' @param created_by_ip_address No description
#' @param last_used_by_ip_address No description
#' @param last_used_at No description
#' @param expires_at No description
#' @param created_at No description
#' @param updated_at No description
#' @param default_owner_uuid No description
#' @param scopes No description
#' 
#' @return ApiClientAuthorization object
#' 
#' @family ApiClientAuthorization functions
#' @export
ApiClientAuthorization <- function(uuid = NULL, etag = NULL, api_token = NULL, api_client_id = NULL, 
    user_id = NULL, created_by_ip_address = NULL, last_used_by_ip_address = NULL, 
    last_used_at = NULL, expires_at = NULL, created_at = NULL, updated_at = NULL, 
    default_owner_uuid = NULL, scopes = NULL) {
    structure(list(uuid = uuid, etag = etag, api_token = api_token, api_client_id = api_client_id, 
        user_id = user_id, created_by_ip_address = created_by_ip_address, last_used_by_ip_address = last_used_by_ip_address, 
        last_used_at = last_used_at, expires_at = expires_at, created_at = created_at, 
        updated_at = updated_at, default_owner_uuid = default_owner_uuid, scopes = scopes, 
        uuid = uuid), class = "gar_ApiClientAuthorization")
}

#' ApiClientList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ApiClient list
#' 
#' @param etag List version
#' @param items The list of ApiClients
#' @param next_link A link to the next page of ApiClients
#' @param next_page_token The page token for the next page of ApiClients
#' @param selfLink A link back to this list
#' 
#' @return ApiClientList object
#' 
#' @family ApiClientList functions
#' @export
ApiClientList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#apiClientList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_ApiClientList")
}

#' ApiClient Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ApiClient
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param url_prefix No description
#' @param created_at No description
#' @param updated_at No description
#' @param is_trusted No description
#' 
#' @return ApiClient object
#' 
#' @family ApiClient functions
#' @export
ApiClient <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, name = NULL, url_prefix = NULL, 
    created_at = NULL, updated_at = NULL, is_trusted = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, name = name, url_prefix = url_prefix, created_at = created_at, 
        updated_at = updated_at, is_trusted = is_trusted), class = "gar_ApiClient")
}

#' AuthorizedKeyList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' AuthorizedKey list
#' 
#' @param etag List version
#' @param items The list of AuthorizedKeys
#' @param next_link A link to the next page of AuthorizedKeys
#' @param next_page_token The page token for the next page of AuthorizedKeys
#' @param selfLink A link back to this list
#' 
#' @return AuthorizedKeyList object
#' 
#' @family AuthorizedKeyList functions
#' @export
AuthorizedKeyList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#authorizedKeyList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_AuthorizedKeyList")
}

#' AuthorizedKey Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' AuthorizedKey
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param key_type No description
#' @param authorized_user_uuid No description
#' @param public_key No description
#' @param expires_at No description
#' @param created_at No description
#' @param updated_at No description
#' 
#' @return AuthorizedKey object
#' 
#' @family AuthorizedKey functions
#' @export
AuthorizedKey <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, name = NULL, key_type = NULL, 
    authorized_user_uuid = NULL, public_key = NULL, expires_at = NULL, created_at = NULL, 
    updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, name = name, key_type = key_type, authorized_user_uuid = authorized_user_uuid, 
        public_key = public_key, expires_at = expires_at, created_at = created_at, 
        updated_at = updated_at), class = "gar_AuthorizedKey")
}

#' CollectionList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Collection list
#' 
#' @param etag List version
#' @param items The list of Collections
#' @param next_link A link to the next page of Collections
#' @param next_page_token The page token for the next page of Collections
#' @param selfLink A link back to this list
#' 
#' @return CollectionList object
#' 
#' @family CollectionList functions
#' @export
CollectionList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#collectionList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_CollectionList")
}

#' Collection Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Collection
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param portable_data_hash No description
#' @param replication_desired No description
#' @param replication_confirmed_at No description
#' @param replication_confirmed No description
#' @param updated_at No description
#' @param manifest_text No description
#' @param name No description
#' @param description No description
#' @param properties No description
#' @param delete_at No description
#' @param file_names No description
#' @param trash_at No description
#' @param is_trashed No description
#' 
#' @return Collection object
#' 
#' @family Collection functions
#' @export
Collection <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    portable_data_hash = NULL, replication_desired = NULL, replication_confirmed_at = NULL, 
    replication_confirmed = NULL, updated_at = NULL, manifest_text = NULL, name = NULL, 
    description = NULL, properties = NULL, delete_at = NULL, file_names = NULL, trash_at = NULL, 
    is_trashed = NULL) {
    structure(list(uuid = uuid, etag = etag, owner_uuid = owner_uuid, created_at = created_at, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, portable_data_hash = portable_data_hash, replication_desired = replication_desired, 
        replication_confirmed_at = replication_confirmed_at, replication_confirmed = replication_confirmed, 
        updated_at = updated_at, uuid = uuid, manifest_text = manifest_text, name = name, 
        description = description, properties = properties, delete_at = delete_at, 
        file_names = file_names, trash_at = trash_at, is_trashed = is_trashed), class = "gar_Collection")
}

#' ContainerRequestList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ContainerRequest list
#' 
#' @param etag List version
#' @param items The list of ContainerRequests
#' @param next_link A link to the next page of ContainerRequests
#' @param next_page_token The page token for the next page of ContainerRequests
#' @param selfLink A link back to this list
#' 
#' @return ContainerRequestList object
#' 
#' @family ContainerRequestList functions
#' @export
ContainerRequestList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#containerRequestList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_ContainerRequestList")
}

#' ContainerRequest Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' ContainerRequest
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param name No description
#' @param description No description
#' @param properties No description
#' @param state No description
#' @param requesting_container_uuid No description
#' @param container_uuid No description
#' @param container_count_max No description
#' @param mounts No description
#' @param runtime_constraints No description
#' @param container_image No description
#' @param environment No description
#' @param cwd No description
#' @param command No description
#' @param output_path No description
#' @param priority No description
#' @param expires_at No description
#' @param filters No description
#' @param updated_at No description
#' @param container_count No description
#' @param use_existing No description
#' @param scheduling_parameters No description
#' @param output_uuid No description
#' @param log_uuid No description
#' @param output_name No description
#' @param output_ttl No description
#' 
#' @return ContainerRequest object
#' 
#' @family ContainerRequest functions
#' @export
ContainerRequest <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_at = NULL, modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, 
    name = NULL, description = NULL, properties = NULL, state = NULL, requesting_container_uuid = NULL, 
    container_uuid = NULL, container_count_max = NULL, mounts = NULL, runtime_constraints = NULL, 
    container_image = NULL, environment = NULL, cwd = NULL, command = NULL, output_path = NULL, 
    priority = NULL, expires_at = NULL, filters = NULL, updated_at = NULL, container_count = NULL, 
    use_existing = NULL, scheduling_parameters = NULL, output_uuid = NULL, log_uuid = NULL, 
    output_name = NULL, output_ttl = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_at = modified_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, name = name, description = description, 
        properties = properties, state = state, requesting_container_uuid = requesting_container_uuid, 
        container_uuid = container_uuid, container_count_max = container_count_max, 
        mounts = mounts, runtime_constraints = runtime_constraints, container_image = container_image, 
        environment = environment, cwd = cwd, command = command, output_path = output_path, 
        priority = priority, expires_at = expires_at, filters = filters, updated_at = updated_at, 
        container_count = container_count, use_existing = use_existing, scheduling_parameters = scheduling_parameters, 
        output_uuid = output_uuid, log_uuid = log_uuid, output_name = output_name, 
        output_ttl = output_ttl), class = "gar_ContainerRequest")
}

#' ContainerList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Container list
#' 
#' @param etag List version
#' @param items The list of Containers
#' @param next_link A link to the next page of Containers
#' @param next_page_token The page token for the next page of Containers
#' @param selfLink A link back to this list
#' 
#' @return ContainerList object
#' 
#' @family ContainerList functions
#' @export
ContainerList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#containerList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_ContainerList")
}

#' Container Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Container
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param state No description
#' @param started_at No description
#' @param finished_at No description
#' @param log No description
#' @param environment No description
#' @param cwd No description
#' @param command No description
#' @param output_path No description
#' @param mounts No description
#' @param runtime_constraints No description
#' @param output No description
#' @param container_image No description
#' @param progress No description
#' @param priority No description
#' @param updated_at No description
#' @param exit_code No description
#' @param auth_uuid No description
#' @param locked_by_uuid No description
#' @param scheduling_parameters No description
#' 
#' @return Container object
#' 
#' @family Container functions
#' @export
Container <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_at = NULL, modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, 
    state = NULL, started_at = NULL, finished_at = NULL, log = NULL, environment = NULL, 
    cwd = NULL, command = NULL, output_path = NULL, mounts = NULL, runtime_constraints = NULL, 
    output = NULL, container_image = NULL, progress = NULL, priority = NULL, updated_at = NULL, 
    exit_code = NULL, auth_uuid = NULL, locked_by_uuid = NULL, scheduling_parameters = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_at = modified_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, state = state, started_at = started_at, 
        finished_at = finished_at, log = log, environment = environment, cwd = cwd, 
        command = command, output_path = output_path, mounts = mounts, runtime_constraints = runtime_constraints, 
        output = output, container_image = container_image, progress = progress, 
        priority = priority, updated_at = updated_at, exit_code = exit_code, auth_uuid = auth_uuid, 
        locked_by_uuid = locked_by_uuid, scheduling_parameters = scheduling_parameters), 
        class = "gar_Container")
}

#' HumanList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Human list
#' 
#' @param etag List version
#' @param items The list of Humans
#' @param next_link A link to the next page of Humans
#' @param next_page_token The page token for the next page of Humans
#' @param selfLink A link back to this list
#' 
#' @return HumanList object
#' 
#' @family HumanList functions
#' @export
HumanList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#humanList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_HumanList")
}

#' Human Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Human
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param properties No description
#' @param created_at No description
#' @param updated_at No description
#' 
#' @return Human object
#' 
#' @family Human functions
#' @export
Human <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, properties = NULL, created_at = NULL, 
    updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, properties = properties, created_at = created_at, 
        updated_at = updated_at), class = "gar_Human")
}

#' JobTaskList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' JobTask list
#' 
#' @param etag List version
#' @param items The list of JobTasks
#' @param next_link A link to the next page of JobTasks
#' @param next_page_token The page token for the next page of JobTasks
#' @param selfLink A link back to this list
#' 
#' @return JobTaskList object
#' 
#' @family JobTaskList functions
#' @export
JobTaskList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#jobTaskList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_JobTaskList")
}

#' JobTask Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' JobTask
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param job_uuid No description
#' @param sequence No description
#' @param parameters No description
#' @param output No description
#' @param progress No description
#' @param success No description
#' @param created_at No description
#' @param updated_at No description
#' @param created_by_job_task_uuid No description
#' @param qsequence No description
#' @param started_at No description
#' @param finished_at No description
#' 
#' @return JobTask object
#' 
#' @family JobTask functions
#' @export
JobTask <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, job_uuid = NULL, sequence = NULL, 
    parameters = NULL, output = NULL, progress = NULL, success = NULL, created_at = NULL, 
    updated_at = NULL, created_by_job_task_uuid = NULL, qsequence = NULL, started_at = NULL, 
    finished_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, job_uuid = job_uuid, sequence = sequence, parameters = parameters, 
        output = output, progress = progress, success = success, created_at = created_at, 
        updated_at = updated_at, created_by_job_task_uuid = created_by_job_task_uuid, 
        qsequence = qsequence, started_at = started_at, finished_at = finished_at), 
        class = "gar_JobTask")
}

#' KeepDiskList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' KeepDisk list
#' 
#' @param etag List version
#' @param items The list of KeepDisks
#' @param next_link A link to the next page of KeepDisks
#' @param next_page_token The page token for the next page of KeepDisks
#' @param selfLink A link back to this list
#' 
#' @return KeepDiskList object
#' 
#' @family KeepDiskList functions
#' @export
KeepDiskList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#keepDiskList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_KeepDiskList")
}

#' KeepDisk Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' KeepDisk
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param ping_secret No description
#' @param node_uuid No description
#' @param filesystem_uuid No description
#' @param bytes_total No description
#' @param bytes_free No description
#' @param is_readable No description
#' @param is_writable No description
#' @param last_read_at No description
#' @param last_write_at No description
#' @param last_ping_at No description
#' @param created_at No description
#' @param updated_at No description
#' @param keep_service_uuid No description
#' 
#' @return KeepDisk object
#' 
#' @family KeepDisk functions
#' @export
KeepDisk <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, ping_secret = NULL, node_uuid = NULL, 
    filesystem_uuid = NULL, bytes_total = NULL, bytes_free = NULL, is_readable = NULL, 
    is_writable = NULL, last_read_at = NULL, last_write_at = NULL, last_ping_at = NULL, 
    created_at = NULL, updated_at = NULL, keep_service_uuid = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, ping_secret = ping_secret, node_uuid = node_uuid, 
        filesystem_uuid = filesystem_uuid, bytes_total = bytes_total, bytes_free = bytes_free, 
        is_readable = is_readable, is_writable = is_writable, last_read_at = last_read_at, 
        last_write_at = last_write_at, last_ping_at = last_ping_at, created_at = created_at, 
        updated_at = updated_at, keep_service_uuid = keep_service_uuid), class = "gar_KeepDisk")
}

#' JobList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Job list
#' 
#' @param etag List version
#' @param items The list of Jobs
#' @param next_link A link to the next page of Jobs
#' @param next_page_token The page token for the next page of Jobs
#' @param selfLink A link back to this list
#' 
#' @return JobList object
#' 
#' @family JobList functions
#' @export
JobList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#jobList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_JobList")
}

#' Job Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Job
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param submit_id No description
#' @param script No description
#' @param script_version No description
#' @param script_parameters No description
#' @param cancelled_by_client_uuid No description
#' @param cancelled_by_user_uuid No description
#' @param cancelled_at No description
#' @param started_at No description
#' @param finished_at No description
#' @param running No description
#' @param success No description
#' @param output No description
#' @param created_at No description
#' @param updated_at No description
#' @param is_locked_by_uuid No description
#' @param log No description
#' @param tasks_summary No description
#' @param runtime_constraints No description
#' @param nondeterministic No description
#' @param repository No description
#' @param supplied_script_version No description
#' @param docker_image_locator No description
#' @param priority No description
#' @param description No description
#' @param state No description
#' @param arvados_sdk_version No description
#' @param components No description
#' @param script_parameters_digest No description
#' 
#' @return Job object
#' 
#' @family Job functions
#' @export
Job <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, submit_id = NULL, script = NULL, 
    script_version = NULL, script_parameters = NULL, cancelled_by_client_uuid = NULL, 
    cancelled_by_user_uuid = NULL, cancelled_at = NULL, started_at = NULL, finished_at = NULL, 
    running = NULL, success = NULL, output = NULL, created_at = NULL, updated_at = NULL, 
    is_locked_by_uuid = NULL, log = NULL, tasks_summary = NULL, runtime_constraints = NULL, 
    nondeterministic = NULL, repository = NULL, supplied_script_version = NULL, docker_image_locator = NULL, 
    priority = NULL, description = NULL, state = NULL, arvados_sdk_version = NULL, 
    components = NULL, script_parameters_digest = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, submit_id = submit_id, script = script, script_version = script_version, 
        script_parameters = script_parameters, cancelled_by_client_uuid = cancelled_by_client_uuid, 
        cancelled_by_user_uuid = cancelled_by_user_uuid, cancelled_at = cancelled_at, 
        started_at = started_at, finished_at = finished_at, running = running, success = success, 
        output = output, created_at = created_at, updated_at = updated_at, is_locked_by_uuid = is_locked_by_uuid, 
        log = log, tasks_summary = tasks_summary, runtime_constraints = runtime_constraints, 
        nondeterministic = nondeterministic, repository = repository, supplied_script_version = supplied_script_version, 
        docker_image_locator = docker_image_locator, priority = priority, description = description, 
        state = state, arvados_sdk_version = arvados_sdk_version, components = components, 
        script_parameters_digest = script_parameters_digest), class = "gar_Job")
}

#' KeepServiceList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' KeepService list
#' 
#' @param etag List version
#' @param items The list of KeepServices
#' @param next_link A link to the next page of KeepServices
#' @param next_page_token The page token for the next page of KeepServices
#' @param selfLink A link back to this list
#' 
#' @return KeepServiceList object
#' 
#' @family KeepServiceList functions
#' @export
KeepServiceList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#keepServiceList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_KeepServiceList")
}

#' KeepService Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' KeepService
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param service_host No description
#' @param service_port No description
#' @param service_ssl_flag No description
#' @param service_type No description
#' @param created_at No description
#' @param updated_at No description
#' @param read_only No description
#' 
#' @return KeepService object
#' 
#' @family KeepService functions
#' @export
KeepService <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, service_host = NULL, service_port = NULL, 
    service_ssl_flag = NULL, service_type = NULL, created_at = NULL, updated_at = NULL, 
    read_only = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, service_host = service_host, service_port = service_port, 
        service_ssl_flag = service_ssl_flag, service_type = service_type, created_at = created_at, 
        updated_at = updated_at, read_only = read_only), class = "gar_KeepService")
}

#' LogList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Log list
#' 
#' @param etag List version
#' @param items The list of Logs
#' @param next_link A link to the next page of Logs
#' @param next_page_token The page token for the next page of Logs
#' @param selfLink A link back to this list
#' 
#' @return LogList object
#' 
#' @family LogList functions
#' @export
LogList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#logList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_LogList")
}

#' Log Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Log
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param object_uuid No description
#' @param event_at No description
#' @param event_type No description
#' @param summary No description
#' @param properties No description
#' @param created_at No description
#' @param updated_at No description
#' @param modified_at No description
#' @param object_owner_uuid No description
#' 
#' @return Log object
#' 
#' @family Log functions
#' @export
Log <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, object_uuid = NULL, event_at = NULL, event_type = NULL, 
    summary = NULL, properties = NULL, created_at = NULL, updated_at = NULL, modified_at = NULL, 
    object_owner_uuid = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        object_uuid = object_uuid, event_at = event_at, event_type = event_type, 
        summary = summary, properties = properties, created_at = created_at, updated_at = updated_at, 
        modified_at = modified_at, object_owner_uuid = object_owner_uuid), class = "gar_Log")
}

#' NodeList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Node list
#' 
#' @param etag List version
#' @param items The list of Nodes
#' @param next_link A link to the next page of Nodes
#' @param next_page_token The page token for the next page of Nodes
#' @param selfLink A link back to this list
#' 
#' @return NodeList object
#' 
#' @family NodeList functions
#' @export
NodeList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#nodeList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_NodeList")
}

#' Node Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Node
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param slot_number No description
#' @param hostname No description
#' @param domain No description
#' @param ip_address No description
#' @param first_ping_at No description
#' @param last_ping_at No description
#' @param info No description
#' @param updated_at No description
#' @param properties No description
#' @param job_uuid No description
#' 
#' @return Node object
#' 
#' @family Node functions
#' @export
Node <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    slot_number = NULL, hostname = NULL, domain = NULL, ip_address = NULL, first_ping_at = NULL, 
    last_ping_at = NULL, info = NULL, updated_at = NULL, properties = NULL, job_uuid = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        slot_number = slot_number, hostname = hostname, domain = domain, ip_address = ip_address, 
        first_ping_at = first_ping_at, last_ping_at = last_ping_at, info = info, 
        updated_at = updated_at, properties = properties, job_uuid = job_uuid), class = "gar_Node")
}

#' PipelineTemplateList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' PipelineTemplate list
#' 
#' @param etag List version
#' @param items The list of PipelineTemplates
#' @param next_link A link to the next page of PipelineTemplates
#' @param next_page_token The page token for the next page of PipelineTemplates
#' @param selfLink A link back to this list
#' 
#' @return PipelineTemplateList object
#' 
#' @family PipelineTemplateList functions
#' @export
PipelineTemplateList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#pipelineTemplateList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_PipelineTemplateList")
}

#' PipelineTemplate Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' PipelineTemplate
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param components No description
#' @param updated_at No description
#' @param description No description
#' 
#' @return PipelineTemplate object
#' 
#' @family PipelineTemplate functions
#' @export
PipelineTemplate <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    name = NULL, components = NULL, updated_at = NULL, description = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        name = name, components = components, updated_at = updated_at, description = description), 
        class = "gar_PipelineTemplate")
}

#' PipelineInstanceList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' PipelineInstance list
#' 
#' @param etag List version
#' @param items The list of PipelineInstances
#' @param next_link A link to the next page of PipelineInstances
#' @param next_page_token The page token for the next page of PipelineInstances
#' @param selfLink A link back to this list
#' 
#' @return PipelineInstanceList object
#' 
#' @family PipelineInstanceList functions
#' @export
PipelineInstanceList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#pipelineInstanceList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_PipelineInstanceList")
}

#' PipelineInstance Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' PipelineInstance
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param pipeline_template_uuid No description
#' @param name No description
#' @param components No description
#' @param updated_at No description
#' @param properties No description
#' @param state No description
#' @param components_summary No description
#' @param started_at No description
#' @param finished_at No description
#' @param description No description
#' 
#' @return PipelineInstance object
#' 
#' @family PipelineInstance functions
#' @export
PipelineInstance <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    pipeline_template_uuid = NULL, name = NULL, components = NULL, updated_at = NULL, 
    properties = NULL, state = NULL, components_summary = NULL, started_at = NULL, 
    finished_at = NULL, description = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        pipeline_template_uuid = pipeline_template_uuid, name = name, components = components, 
        updated_at = updated_at, properties = properties, state = state, components_summary = components_summary, 
        started_at = started_at, finished_at = finished_at, description = description), 
        class = "gar_PipelineInstance")
}

#' SpecimenList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Specimen list
#' 
#' @param etag List version
#' @param items The list of Specimens
#' @param next_link A link to the next page of Specimens
#' @param next_page_token The page token for the next page of Specimens
#' @param selfLink A link back to this list
#' 
#' @return SpecimenList object
#' 
#' @family SpecimenList functions
#' @export
SpecimenList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#specimenList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_SpecimenList")
}

#' Specimen Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Specimen
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param material No description
#' @param updated_at No description
#' @param properties No description
#' 
#' @return Specimen object
#' 
#' @family Specimen functions
#' @export
Specimen <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    material = NULL, updated_at = NULL, properties = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        created_at = created_at, modified_by_client_uuid = modified_by_client_uuid, 
        modified_by_user_uuid = modified_by_user_uuid, modified_at = modified_at, 
        material = material, updated_at = updated_at, properties = properties), class = "gar_Specimen")
}

#' RepositoryList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Repository list
#' 
#' @param etag List version
#' @param items The list of Repositories
#' @param next_link A link to the next page of Repositories
#' @param next_page_token The page token for the next page of Repositories
#' @param selfLink A link back to this list
#' 
#' @return RepositoryList object
#' 
#' @family RepositoryList functions
#' @export
RepositoryList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#repositoryList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_RepositoryList")
}

#' Repository Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Repository
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param created_at No description
#' @param updated_at No description
#' 
#' @return Repository object
#' 
#' @family Repository functions
#' @export
Repository <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, name = NULL, created_at = NULL, 
    updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, name = name, created_at = created_at, updated_at = updated_at), 
        class = "gar_Repository")
}

#' TraitList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Trait list
#' 
#' @param etag List version
#' @param items The list of Traits
#' @param next_link A link to the next page of Traits
#' @param next_page_token The page token for the next page of Traits
#' @param selfLink A link back to this list
#' 
#' @return TraitList object
#' 
#' @family TraitList functions
#' @export
TraitList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#traitList`, etag = etag, items = items, next_link = next_link, 
        next_page_token = next_page_token, selfLink = selfLink), class = "gar_TraitList")
}

#' Trait Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' Trait
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param name No description
#' @param properties No description
#' @param created_at No description
#' @param updated_at No description
#' 
#' @return Trait object
#' 
#' @family Trait functions
#' @export
Trait <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, name = NULL, properties = NULL, 
    created_at = NULL, updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, name = name, properties = properties, created_at = created_at, 
        updated_at = updated_at), class = "gar_Trait")
}

#' VirtualMachineList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' VirtualMachine list
#' 
#' @param etag List version
#' @param items The list of VirtualMachines
#' @param next_link A link to the next page of VirtualMachines
#' @param next_page_token The page token for the next page of VirtualMachines
#' @param selfLink A link back to this list
#' 
#' @return VirtualMachineList object
#' 
#' @family VirtualMachineList functions
#' @export
VirtualMachineList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#virtualMachineList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_VirtualMachineList")
}

#' VirtualMachine Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' VirtualMachine
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param hostname No description
#' @param created_at No description
#' @param updated_at No description
#' 
#' @return VirtualMachine object
#' 
#' @family VirtualMachine functions
#' @export
VirtualMachine <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, modified_by_client_uuid = NULL, 
    modified_by_user_uuid = NULL, modified_at = NULL, hostname = NULL, created_at = NULL, 
    updated_at = NULL) {
    structure(list(uuid = uuid, etag = etag, uuid = uuid, owner_uuid = owner_uuid, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, hostname = hostname, created_at = created_at, 
        updated_at = updated_at), class = "gar_VirtualMachine")
}

#' UserAgreementList Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' UserAgreement list
#' 
#' @param etag List version
#' @param items The list of UserAgreements
#' @param next_link A link to the next page of UserAgreements
#' @param next_page_token The page token for the next page of UserAgreements
#' @param selfLink A link back to this list
#' 
#' @return UserAgreementList object
#' 
#' @family UserAgreementList functions
#' @export
UserAgreementList <- function(etag = NULL, items = NULL, next_link = NULL, next_page_token = NULL, 
    selfLink = NULL) {
    structure(list(kind = `arvados#userAgreementList`, etag = etag, items = items, 
        next_link = next_link, next_page_token = next_page_token, selfLink = selfLink), 
        class = "gar_UserAgreementList")
}


#' UserAgreement Object
#' 
#' @details 
#' Autogenerated via \code{\link[googleAuthR]{gar_create_api_objects}}
#' UserAgreement
#' 
#' @param uuid Object ID
#' @param etag Object version
#' @param owner_uuid No description
#' @param created_at No description
#' @param modified_by_client_uuid No description
#' @param modified_by_user_uuid No description
#' @param modified_at No description
#' @param portable_data_hash No description
#' @param replication_desired No description
#' @param replication_confirmed_at No description
#' @param replication_confirmed No description
#' @param updated_at No description
#' @param manifest_text No description
#' @param name No description
#' @param description No description
#' @param properties No description
#' @param delete_at No description
#' @param file_names No description
#' @param trash_at No description
#' @param is_trashed No description
#' 
#' @return UserAgreement object
#' 
#' @family UserAgreement functions
#' @export


UserAgreement <- function(uuid = NULL, etag = NULL, owner_uuid = NULL, created_at = NULL, 
    modified_by_client_uuid = NULL, modified_by_user_uuid = NULL, modified_at = NULL, 
    portable_data_hash = NULL, replication_desired = NULL, replication_confirmed_at = NULL, 
    replication_confirmed = NULL, updated_at = NULL, manifest_text = NULL, name = NULL, 
    description = NULL, properties = NULL, delete_at = NULL, file_names = NULL, trash_at = NULL, 
    is_trashed = NULL) {
    
    
    
    structure(list(uuid = uuid, etag = etag, owner_uuid = owner_uuid, created_at = created_at, 
        modified_by_client_uuid = modified_by_client_uuid, modified_by_user_uuid = modified_by_user_uuid, 
        modified_at = modified_at, portable_data_hash = portable_data_hash, replication_desired = replication_desired, 
        replication_confirmed_at = replication_confirmed_at, replication_confirmed = replication_confirmed, 
        updated_at = updated_at, uuid = uuid, manifest_text = manifest_text, name = name, 
        description = description, properties = properties, delete_at = delete_at, 
        file_names = file_names, trash_at = trash_at, is_trashed = is_trashed), class = "gar_UserAgreement")
}

